GEO-NEAREST(1)

NAME
geo-nearest: - geo-nearest

DESCRIPTION

  Usage:

    geo-nearest [options] geo-nearest [options] latitude longitude geo-nearest [options] zipcode

    Fetch a list of nearest geocaches.

  Requires:

A free login at http://www.geocaching.com.
    Visit a cache page

    and click the "Download to EasyGPS" link at least once so you can read and agree to the license terms. Otherwise, you will not get any waypoint data.

curl
    http://curl.haxx.se/

gpsbabel
    http://gpsbabel.sourceforge.net/

OPTIONS

-c  Remove cookie file when done

-f  Do not report any found or unavailable caches

-n num
    Return "num" caches [25]

-s  Output short names for the caches (gpsbabel option)

-u username
    Username for http://www.geocaching.com

-p password
    Password for http://www.geocaching.com

-o format
    Output format, -o? for possibilities [gpsdrive] plus "gpsdrive.sql" for direct insertion into MySQL DB

-S  Alias for -o gpsdrive.sql

-d  For -S, just delete selected records\n"

-t type
    For -ogpsdrive.sql, the waypoint type [Geocache]

-D lvl
    Debug level [0]

-U  Retrieve latest version of this script

  Defaults can also be set with variables in file $HOME/.georc:

PASSWORD=password;
    USERNAME=username;

LAT=latitude;
    LON=logitude;

NUM=num;
    OUTFMT=format; BABELFLAGS=-s

SQLUSER=gast;
    SQLPASS=gast; SQLDB=geoinfo;

EXAMPLES

    Add nearest 50 caches to a GpsDrive SQL database

    geo-nearest -n50 -f -s -S

SEE ALSO

geo-code
    http://home.mn.rr.com/richardsons/sw/geo-code